List All Streams
list streams
curl -X GET "https://api.5centscdn.com/v2/streams" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"streams": [
{
"monitoring_id": null,
"type": "scheduledplaylist",
"id": 57197,
"serviceid": 103,
"name": "103_push_2102_001/chisos",
"codec": "h264",
"ingests": [
[
"RTMP"
],
[
"RTMP"
]
],
"protocols": [
[
"HLS"
],
[
"HLS"
]
],
"parentid": 2102,
"server": "Y",
"backup": "N",
"dedicatedLTC": "0",
"hasAdvancedFeatures": "0",
"monitoring_triggers": null,
"draft": "0",
"disabled": "0",
"created_at": "2026-01-01 00:00:00",
"updated_at": "2026-01-01 00:00:00",
"lastseen_at": false,
"deleted": "2026-04-28 06:49:20",
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Deleted",
"has": {
"rtmp": 0,
"rtsp": 0,
"hls": 1,
"dash": 0,
"rtmpauth": "Y"
},
"fms": {
"server": {
"country": "North America",
"meta": {
"fmsUrl": "rtmp://fms-01-01.5centscdn.com"
}
}
},
"parts": {
"pp": "103_push_2102_001",
"sn": "chisos",
"full": "103_push_2102_001chisos"
},
"restream": {},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist.m3u8",
"dashManifest": "manifest.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "536u0rf0pvvtjp7x",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=103_push_2102_001/chisos",
"base": "https://cdn.example.com/player/hls/skin1/536u0rf0pvvtjp7x/",
"hls": "https://cdn.example.com/player/hls/skin1/536u0rf0pvvtjp7x/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=103_push_2102_001/chisos",
"dash": "https://cdn.example.com/player/dash/skin1/536u0rf0pvvtjp7x/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=103_push_2102_001/chisos"
}
},
"tokenized": null
},
"platformsCount": 1,
"ssl_enabled": true,
"hash": "12488861329248f5d53998acfff80299.sdp",
"securetoken": {
"enabled": "N",
"policy": "D",
"keyip": "N",
"list": "",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": null,
"active": "N"
},
"preroll": "Y",
"loop": "N",
"zone": {
"id": 2102,
"type": "push",
"mode": "http",
"name": "push-2102",
"ftpdetails": {
"username": "vineeth_103_push_2102"
}
},
"hasInstantSchedule": true,
"playlistCount": 3,
"playlists": [
{
"id": 8377,
"streamid": 57197,
"name": "default",
"schedule": "instant",
"scheduletime": "",
"type": "file",
"repeatfor": 7,
"loop": "repeat",
"length": "00:00:00",
"autorestart": "0",
"files": [
"/mp4/chunks000_240p.mp4",
"/mp4/chunks001_240p.mp4"
],
"durations": [
[
"0",
"0"
],
[
"0",
"0"
]
],
"videos": [
{
"src": "/mp4/chunks000_240p.mp4",
"start": "1.000",
"duration": "0.000",
"ad_breaks": [
{
"start": "60.267",
"duration": "75.000"
}
]
}
],
"serviceid": 103
}
],
"domainlock": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
""
],
"ips": "",
"active": "N"
},
"ipaccess": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true,
"id": 57217,
"autostop": 0,
"vprofiles": [
"12345",
"12345",
"12345"
],
"aprofiles": [
"12345"
],
"filters": [],
"disabled": "0",
"count": 3,
"countRaw": 3,
"codec": "h264",
"isRunning": false,
"profiles": {
"count": {
"total": 3,
"sd": 3
}
}
},
"platforms": [
{
"id": 43459,
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"auth": "Y",
"username": "admin",
"password": "password",
"isSRT": false,
"key": "password",
"schedule": "scheduleontime",
"scheduletime": "06:12",
"codec": null,
"length": "19:14",
"relid": 57197,
"dedicatedLTC": "0",
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"disabled": "0",
"name": "Custom RTMP",
"platform_id": 1,
"provider_id": 0,
"video_id": ""
}
],
"messages": {},
"adInsertion": {
"id": 10,
"relid": 57217,
"type": "stream",
"enabled": "Y",
"policy": "1",
"provider": "Magnite",
"meta": {
"adpreroll": {
"enabled": "Y",
"maxDuration": 31,
"offset": 3,
"startOver": "Y"
},
"adreplacement": {
"scte35": {
"adBreakTriggers": [
"0x22",
"0x30",
"0x32",
"0x34",
"0x36",
"splice_insert"
],
"markersToRemove": [
"ALL"
]
},
"onStartWithinAdBreak": "replace"
}
},
"defaultDuration": 45,
"created_at": "2026-04-28 11:55:37",
"schedules": [],
"active": "N"
}
}
]
}
GET
/streams
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Responses
resultstring
Status of the API response.
streamsarray
List of live streams.
Was this page helpful?